Validate multiple routes
curl --request POST \
--url https://api.hixbe.com/rpki/validity \
--header 'Content-Type: application/json' \
--data '
{
"routes": [
{
"asn": "AS64496",
"prefix": "192.0.2.0/24"
},
{
"asn": "AS64497",
"prefix": "2001:db8::/32"
}
]
}
'import requests
url = "https://api.hixbe.com/rpki/validity"
payload = { "routes": [
{
"asn": "AS64496",
"prefix": "192.0.2.0/24"
},
{
"asn": "AS64497",
"prefix": "2001:db8::/32"
}
] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
routes: [
{asn: 'AS64496', prefix: '192.0.2.0/24'},
{asn: 'AS64497', prefix: '2001:db8::/32'}
]
})
};
fetch('https://api.hixbe.com/rpki/validity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hixbe.com/rpki/validity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'routes' => [
[
'asn' => 'AS64496',
'prefix' => '192.0.2.0/24'
],
[
'asn' => 'AS64497',
'prefix' => '2001:db8::/32'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hixbe.com/rpki/validity"
payload := strings.NewReader("{\n \"routes\": [\n {\n \"asn\": \"AS64496\",\n \"prefix\": \"192.0.2.0/24\"\n },\n {\n \"asn\": \"AS64497\",\n \"prefix\": \"2001:db8::/32\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hixbe.com/rpki/validity")
.header("Content-Type", "application/json")
.body("{\n \"routes\": [\n {\n \"asn\": \"AS64496\",\n \"prefix\": \"192.0.2.0/24\"\n },\n {\n \"asn\": \"AS64497\",\n \"prefix\": \"2001:db8::/32\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hixbe.com/rpki/validity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"routes\": [\n {\n \"asn\": \"AS64496\",\n \"prefix\": \"192.0.2.0/24\"\n },\n {\n \"asn\": \"AS64497\",\n \"prefix\": \"2001:db8::/32\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"validated_routes": [
{
"route": {
"origin_asn": "AS64496",
"prefix": "192.0.2.0/24"
},
"validity": {
"state": "valid",
"reason": "<string>",
"description": "<string>"
},
"vrps": {
"matched": [
{
"asn": "AS64496",
"prefix": "192.0.2.0/24",
"max_length": 24
}
],
"unmatched_as": [
{
"asn": "AS64496",
"prefix": "192.0.2.0/24",
"max_length": 24
}
],
"unmatched_length": [
{
"asn": "AS64496",
"prefix": "192.0.2.0/24",
"max_length": 24
}
]
}
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Validate Multiple Routes
Returns a JSON object describing the validity of multiple routes. Expects a JSON body with an array of route announcements. The request body size is limited to 100 kB.
POST
/
validity
Validate multiple routes
curl --request POST \
--url https://api.hixbe.com/rpki/validity \
--header 'Content-Type: application/json' \
--data '
{
"routes": [
{
"asn": "AS64496",
"prefix": "192.0.2.0/24"
},
{
"asn": "AS64497",
"prefix": "2001:db8::/32"
}
]
}
'import requests
url = "https://api.hixbe.com/rpki/validity"
payload = { "routes": [
{
"asn": "AS64496",
"prefix": "192.0.2.0/24"
},
{
"asn": "AS64497",
"prefix": "2001:db8::/32"
}
] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
routes: [
{asn: 'AS64496', prefix: '192.0.2.0/24'},
{asn: 'AS64497', prefix: '2001:db8::/32'}
]
})
};
fetch('https://api.hixbe.com/rpki/validity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hixbe.com/rpki/validity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'routes' => [
[
'asn' => 'AS64496',
'prefix' => '192.0.2.0/24'
],
[
'asn' => 'AS64497',
'prefix' => '2001:db8::/32'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hixbe.com/rpki/validity"
payload := strings.NewReader("{\n \"routes\": [\n {\n \"asn\": \"AS64496\",\n \"prefix\": \"192.0.2.0/24\"\n },\n {\n \"asn\": \"AS64497\",\n \"prefix\": \"2001:db8::/32\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hixbe.com/rpki/validity")
.header("Content-Type", "application/json")
.body("{\n \"routes\": [\n {\n \"asn\": \"AS64496\",\n \"prefix\": \"192.0.2.0/24\"\n },\n {\n \"asn\": \"AS64497\",\n \"prefix\": \"2001:db8::/32\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hixbe.com/rpki/validity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"routes\": [\n {\n \"asn\": \"AS64496\",\n \"prefix\": \"192.0.2.0/24\"\n },\n {\n \"asn\": \"AS64497\",\n \"prefix\": \"2001:db8::/32\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"validated_routes": [
{
"route": {
"origin_asn": "AS64496",
"prefix": "192.0.2.0/24"
},
"validity": {
"state": "valid",
"reason": "<string>",
"description": "<string>"
},
"vrps": {
"matched": [
{
"asn": "AS64496",
"prefix": "192.0.2.0/24",
"max_length": 24
}
],
"unmatched_as": [
{
"asn": "AS64496",
"prefix": "192.0.2.0/24",
"max_length": 24
}
],
"unmatched_length": [
{
"asn": "AS64496",
"prefix": "192.0.2.0/24",
"max_length": 24
}
]
}
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Validates multiple route announcements in a single request. Accepts JSON body with array of routes (limited to 100 kB).
Use Cases:
- Bulk route validation
- BGP table validation
- Batch processing
- Efficient multi-route checks